aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-connectivity/ofono/files/ofono
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-connectivity/ofono/files/ofono')
-rw-r--r--meta/recipes-connectivity/ofono/files/ofono42
1 files changed, 42 insertions, 0 deletions
diff --git a/meta/recipes-connectivity/ofono/files/ofono b/meta/recipes-connectivity/ofono/files/ofono
new file mode 100644
index 0000000000..6d46fb8966
--- /dev/null
+++ b/meta/recipes-connectivity/ofono/files/ofono
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON=/usr/sbin/ofonod
+PIDFILE=/var/run/ofonod.pid
+DESC="Telephony daemon"
+
+if [ -f /etc/default/ofono] ; then
+ . /etc/default/ofono
+fi
+
+set -e
+
+do_start() {
+ $DAEMON
+}
+
+do_stop() {
+ start-stop-daemon --stop --name ofonod --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0